<?php
/**
 * Displaying excerpts of search
 *
 * This files is the same as excerpt.
 * 
 * @ Theme Manduca - focus on accessibility
 * @ Since 18.1.6
 **/
 
/*
 * Add special classes
 **/



/*
 * Generate HTMl Of the pagination
 *
 **/
$arrow_right_svg = manduca_get_svg( array( 'icon' => 'angle-right' ) ) ;
$arrow_left_svg = manduca_get_svg( array( 'icon' => 'angle-left' ) ) ;;
$nav = get_the_posts_pagination( array(
	'prev_text' => $arrow_left_svg .'<span class="screen-reader-text">' . __( 'Newer posts', 'manduca' ) .'</span>'		,
	'next_text' => '<span class="screen-reader-text">' .__( 'Older posts', 'manduca' ) .'</span>' . $arrow_right_svg,
	'before_page_number' => '<span class="screen-reader-text">' . __( 'page', 'manduca' ) . ' </span>'
) );			
?>




<?php echo $nav; ?>

<div class="excerpt-wrapper">

	<?php while ( have_posts() ) : the_post();  ?>
		<article id="post-<?php echo the_ID(); ?>" <?php post_class( 'excerpt' ); ?>>
		 
			<header class="excerpt-header">
				<?php get_template_part( 'template-parts/posts/entry-header' ); ?>
			</header>
	
		 <?php get_template_part( '/template-parts/postlink', 'edit' ) ; ?>
	
	
			<?php if ( has_post_thumbnail() ) : ?>
			 <div class="post-thumbnail">
				<?php the_post_thumbnail( 'excerpt-size' ); // defined in Manduca 268*178 | aspect-ratio: 1.5:1  ?>
			 </div>
			<?php endif; ?>
		 
			
		<div class="entry-content">
		
		<?php if( strpos( get_the_content(), 'more-link' ) === false ) : ?>
				<?php the_excerpt(); ?> 
		<?php else:  ?>
	
			<?php the_content(); ?>
		<?php endif; ?>
		
		</div>
		<div class="clearfix-content"></div>
		</article>
		
	<?php endwhile; ?>
</div>

<?php echo $nav; ?>